gio-0.13.8.1: Binding to GIO

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.GIO.Async.AsyncResult

Contents

- Types
- Methods

Description

Synopsis

- data AsyncResult
- class GObjectClass o => AsyncResultClass o
- type AsyncReadyCallback = GObject -> AsyncResult -> IO ()
- marshalAsyncReadyCallback :: AsyncReadyCallback -> IO GAsyncReadyCallback

# Types

data AsyncResult Source #

#### Instances

Instances details

Eq AsyncResult Source # |
Instance details Defined in System.GIO.Types Methods (==) :: AsyncResult -> AsyncResult -> Bool (/=) :: AsyncResult -> AsyncResult -> Bool
Ord AsyncResult Source # |
Instance details Defined in System.GIO.Types Methods compare :: AsyncResult -> AsyncResult -> Ordering (<) :: AsyncResult -> AsyncResult -> Bool (<=) :: AsyncResult -> AsyncResult -> Bool (>) :: AsyncResult -> AsyncResult -> Bool (>=) :: AsyncResult -> AsyncResult -> Bool max :: AsyncResult -> AsyncResult -> AsyncResult min :: AsyncResult -> AsyncResult -> AsyncResult
GObjectClass AsyncResult Source # |
Instance details Defined in System.GIO.Types Methods toGObject :: AsyncResult -> GObject Source # unsafeCastGObject :: GObject -> AsyncResult Source #
AsyncResultClass AsyncResult Source # |
Instance details Defined in System.GIO.Types

class GObjectClass o => AsyncResultClass o Source #

#### Instances

Instances details

AsyncResultClass AsyncResult Source # |
Instance details Defined in System.GIO.Types

type AsyncReadyCallback = GObject -> AsyncResult -> IO () Source #

# Methods

marshalAsyncReadyCallback :: AsyncReadyCallback -> IO GAsyncReadyCallback Source #